=== debian/changelog ===
open-infrastructure-compute-tools (20220721-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220721.
  * Updating http links to https in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 20:00:44 +0200

open-infrastructure-compute-tools (20220704-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220704.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Jul 2022 15:39:44 +0200

open-infrastructure-compute-tools (20220605-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220605.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Jun 2022 10:27:53 +0200

open-infrastructure-compute-tools (20220604-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220604.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Jun 2022 07:23:21 +0200

open-infrastructure-compute-tools (20220522-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220522.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 May 2022 15:26:40 +0200

open-infrastructure-compute-tools (20220509-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220509.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 09 May 2022 14:32:09 +0200

open-infrastructure-compute-tools (20220508-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220508.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 08 May 2022 17:29:49 +0200

open-infrastructure-compute-tools (20220505-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220505.
  * Removing note about using systemd-networkd exclusively, fallback
    support for ifupdown has been added.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 05 May 2022 18:34:53 +0200
