## open-infrastructure-compute-tools 20221023

=== debian/changelog ===
open-infrastructure-compute-tools (20221023-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #1024656).
  * Adding Duch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1023458).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 18 Jan 2023 14:05:44 +0100

open-infrastructure-compute-tools (20221023-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221023.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 23 Oct 2022 11:50:33 +0200

open-infrastructure-compute-tools (20221015-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221015.
  * Adding debian changelog 20221002-1.1.
  * Adding updated German debconf translations from Markus Hiereth
    <translation@hiereth.de> (Closes: #1021813).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Oct 2022 17:23:47 +0200

open-infrastructure-compute-tools (20221002-1.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:03 +0200

open-infrastructure-compute-tools (20221002-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221002.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 23:08:50 +0200

open-infrastructure-compute-tools (20220721-2) sid; urgency=medium

  * Uploading to sid.
  * Adding debconf options for container directory permissions.
  * Renaming debconf fields to fully descriptive names.
  * Correcting mixed-up texts in debconf templates.
  * Refreshing debconf files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 15:36:42 +0200
