=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
