## open-infrastructure-compute-tools 20221223

=== Makefile ===
--- 
+++ 
@@ -229,7 +229,7 @@
 	rm -f README.txt
 
 distclean: clean
-	rm -rf service-tools-$(VERSION)
+	rm -rf $(SOFTWARE)-$(VERSION)
 
 reinstall: uninstall install
