=== debian/changelog ===
open-infrastructure-compute-tools (20221223-3) sid; urgency=medium

  * Uploading to sid.
  * Reuploading source-only after NEW without changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Feb 2023 16:42:42 +0100

open-infrastructure-compute-tools (20221223-2) sid; urgency=medium

  * Uploading to sid.
  * Renaming container-tools to compute-tools to avoid future NEW
    processing when adding kvm backend.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:25:35 +0100

open-infrastructure-compute-tools (20221223-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221223.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 14:44:45 +0100
