=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 
-Package: open-infrastructure-container-tools
+Package: open-infrastructure-compute-tools
 Section: admin
 Architecture: all
 Depends:
@@ -31,8 +31,10 @@
  irker,
  plzip,
  python3-nwdiag | python-nwdiag,
-Provides:
- container-tools,
+Breaks:
+ open-infrastructure-container-tools (<< 20221223-2~),
+Replaces:
+ open-infrastructure-container-tools,
 Enhances:
  systemd-container,
 Description: manage systemd-nspawn containers
@@ -40,5 +42,19 @@
  running multiple isolated Linux systems (containers) on a single Linux control
  host.
  .
- container-tools provides the system integration for managing containers using
+ compute-tools provides the system integration for managing containers using
  systemd-nspawn.
+
+Package: open-infrastructure-container-tools
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends:
+ open-infrastructure-compute-tools,
+ ${misc:Depends},
+Description: manage systemd-nspawn containers (transitional package)
+ Package to ease upgrading from older open-infrastructure-container-tools package
+ to the new open-infrastructure-compute-tools package.
+ .
+ This package can be purged at anytime once the open-infrastructure-compute-tools
+ package has been installed.
