## open-infrastructure-compute-tools 20240829

=== debian/changelog ===
open-infrastructure-compute-tools (20240829-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20240829.
  * Removing patches, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Aug 2024 18:22:33 +0200

open-infrastructure-compute-tools (20221223-6) sid; urgency=medium

  * Uploading to sid.
  * Removing pre-bookworm transitional package.
  * Minimizing debhelper build-depends for trixie.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to install systemd unit files in /usr, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1063455).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:26:28 +0200

open-infrastructure-compute-tools (20221223-5) experimental; urgency=medium

  * Uploading to experimental.
  * Cherry-picking patch to use versioned sort in container list.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 16 Apr 2023 08:05:17 +0200

open-infrastructure-compute-tools (20221223-4) experimental; urgency=medium

  * Uploading to experimental.
  * Cherry-picking patch to add host variable in preseed files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 16:57:30 +0200
