## open-infrastructure-compute-tools 20250126

=== Makefile ===
--- 
+++ 
@@ -142,8 +142,8 @@
 	ln -sf stop $(DESTDIR)/usr/libexec/$(PROGRAM)/t
 	ln -sf update $(DESTDIR)/usr/libexec/$(PROGRAM)/u
 
-	mkdir -p $(DESTDIR)/lib/systemd/system
-	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
+	mkdir -p $(DESTDIR)/usr/lib/systemd/system
+	cp -r share/systemd/* $(DESTDIR)/usr/lib/systemd/system
 
 	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)
