=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Open Infrastructure: compute-tools
 
-# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2024 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
