=== debian/changelog ===
open-infrastructure-compute-tools (20250126-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20250126.
  * Updating year in copyright for 2025.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Jan 2025 20:18:18 +0100
