## open-infrastructure-compute-tools 20250604

=== debian/changelog ===
open-infrastructure-compute-tools (20250604-1) sid; urgency=medium

  * Merging upstream version 20250604.

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Jun 2025 07:52:13 +0200
