=== debian/control ===
Source: open-infrastructure-compute-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://open-infrastructure.net/software/compute-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

Package: open-infrastructure-compute-tools
Section: admin
Architecture: all
Depends:
 dbus,
 systemd-container,
 ${misc:Depends},
Recommends:
 bash-completion,
 curl,
 mmdebstrap | debootstrap,
 logrotate,
 procps,
 pv,
 sudo,
Suggests:
 irker,
 plzip,
 python3-nwdiag | python-nwdiag,
Enhances:
 systemd-container,
Description: manage systemd-nspawn containers
 A Linux container is an operating-system-level virtualization environment for
 running multiple isolated Linux systems (containers) on a single Linux control
 host.
 .
 compute-tools provides the system integration for managing containers using
 systemd-nspawn.
