## open-infrastructure-compute-tools 20250703

=== debian/changelog ===
open-infrastructure-compute-tools (20250703-1) experimental; urgency=medium

  * Merging upstream version 20250703.
  * Adding updated Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1107466).

 -- Daniel Baumann <daniel@debian.org>  Thu, 03 Jul 2025 17:22:15 +0200
