## open-infrastructure-compute-tools 20250706

=== debian/changelog ===
open-infrastructure-compute-tools (20250706-1) experimental; urgency=medium

  * Merging upstream version 20250706.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jul 2025 13:29:48 +0200
