## open-infrastructure-compute-tools 20250720

=== debian/changelog ===
open-infrastructure-compute-tools (20250720-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:15:50 +0200

open-infrastructure-compute-tools (20250720-1) experimental; urgency=medium

  * Merging upstream version 20250720.
  * Removing python3-nwdiag from suggests, not used anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 20 Jul 2025 07:36:39 +0200
