=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 Suggests:
  irker,
  plzip,
- python3-nwdiag | python-nwdiag,
 Enhances:
  systemd-container,
 Description: manage systemd-nspawn containers
