## open-infrastructure-compute-tools 20251029

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Open Infrastructure: compute-tools
 
-# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -245,7 +245,7 @@
 		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
 		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
 		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
-		gpg --default-key 0xB62C61A10B93195F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		gpg --default-key 0x49398AF25C60E52D --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
 		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
 	done
