=== debian/changelog ===
open-infrastructure-compute-tools (20251029-1) sid; urgency=medium

  * Merging upstream version 20251029.

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Oct 2025 16:02:47 +0100
